Package org.w3._2001._04.xmlenc

# Class EncryptedKey

java.lang.Object
org.w3._2001._04.xmlenc.EncryptedType
org.w3._2001._04.xmlenc.EncryptedKey

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class EncryptedKey extends EncryptedType implements Serializable

Java class for EncryptedKeyType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="EncryptedKeyType">
       <complexContent>
         <extension base="{http://www.w3.org/2001/04/xmlenc#}EncryptedType">
           <sequence>
             <element ref="{http://www.w3.org/2001/04/xmlenc#}ReferenceList" minOccurs="0"/>
             <element name="CarriedKeyName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
           <attribute name="Recipient" type="{http://www.w3.org/2001/XMLSchema}string" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EncryptedKey()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCarriedKeyName()`
  Gets the value of the carriedKeyName property.
  `String`
  `getRecipient()`
  Gets the value of the recipient property.
  `ReferenceList`
  `getReferenceList()`
  Gets the value of the referenceList property.
  `void`
  `setCarriedKeyName(String value)`
  Sets the value of the carriedKeyName property.
  `void`
  `setRecipient(String value)`
  Sets the value of the recipient property.
  `void`
  `setReferenceList(ReferenceList value)`
  Sets the value of the referenceList property.

  ### Methods inherited from class org.w3._2001._04.xmlenc.EncryptedType

  `getCipherData, getEncoding, getEncryptionMethod, getEncryptionProperties, getId, getKeyInfo, getMimeType, getType, setCipherData, setEncoding, setEncryptionMethod, setEncryptionProperties, setId, setKeyInfo, setMimeType, setType`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EncryptedKey

    public EncryptedKey()

- ## Method Details

  - ### getReferenceList

    public ReferenceList getReferenceList()
    Gets the value of the referenceList property.
    Returns:
      possible object is `ReferenceList`

  - ### setReferenceList

    public void setReferenceList(ReferenceList value)
    Sets the value of the referenceList property.
    Parameters:
      `value` - allowed object is `ReferenceList`

  - ### getCarriedKeyName

    public String getCarriedKeyName()
    Gets the value of the carriedKeyName property.
    Returns:
      possible object is `String`

  - ### setCarriedKeyName

    public void setCarriedKeyName(String value)
    Sets the value of the carriedKeyName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getRecipient

    public String getRecipient()
    Gets the value of the recipient property.
    Returns:
      possible object is `String`

  - ### setRecipient

    public void setRecipient(String value)
    Sets the value of the recipient property.
    Parameters:
      `value` - allowed object is `String`